--AH:ScriptId=28bed31e-312d-48a6-994e-13769a55fa8a;367
DECLARE @CUR CURSOR SET @CUR = CURSOR FOR 
	SELECT PAG.[PlanActionGroup_Id], PAG.[Application_Id], PAG.[Environment_Id], PAG.[PlanActionGroup_Sequence]
	  FROM [PlanActionGroups] PAG
		   LEFT JOIN [Deployables] D
				  ON PAG.[Deployable_Id] = D.[Deployable_Id]
	 ORDER BY PAG.[Application_Id]
 			 ,PAG.[Environment_Id]
 			 ,PAG.[PlanActionGroup_Sequence]
			 ,D.[Deployable_Name]
			 ,PAG.[PlanActionGroup_Id]
OPEN @CUR

DECLARE @PlanActionGroup_Id INT, @Application_Id INT, @Environment_Id INT, @PlanActionGroup_Sequence INT
DECLARE @Last_Application_Id INT, @Last_Environment_Id INT, @New_PlanActionGroup_Sequence INT
FETCH NEXT FROM @CUR INTO @PlanActionGroup_Id, @Application_Id, @Environment_Id, @PlanActionGroup_Sequence
WHILE @@FETCH_STATUS <> -1 BEGIN
	SET @Last_Application_Id = COALESCE(@Last_Application_Id, @Application_Id)
	SET @Last_Environment_Id = COALESCE(@Last_Environment_Id, @Environment_Id)
	SET @New_PlanActionGroup_Sequence = COALESCE(@New_PlanActionGroup_Sequence, 0)

	IF @Application_Id <> @Last_Application_Id OR
		@Environment_Id <> @Last_Environment_Id 
			SET @New_PlanActionGroup_Sequence = 1
	ELSE 
		SET @New_PlanActionGroup_Sequence = @New_PlanActionGroup_Sequence + 1
		
	UPDATE [PlanActionGroups]
	   SET [PlanActionGroup_Sequence] = @New_PlanActionGroup_Sequence
	 WHERE CURRENT OF @CUR
		
	SET @Last_Application_Id = @Application_Id
	SET @Last_Environment_Id = @Environment_Id

FETCH NEXT FROM @CUR INTO @PlanActionGroup_Id, @Application_Id, @Environment_Id, @PlanActionGroup_Sequence END
CLOSE @CUR

ALTER TABLE   [PlanActionGroups]
  ADD CONSTRAINT [UQ__PlanActionGroups__PlanActionGroup_Sequence]
      UNIQUE ([Application_Id], [Environment_Id], [PlanACtionGroup_Sequence])