IF OBJECT_ID('[BuildScheduleVariableDefinitions_Extended]') IS NOT NULL DROP VIEW [BuildScheduleVariableDefinitions_Extended]
GO

CREATE VIEW [BuildScheduleVariableDefinitions_Extended] AS

SELECT BSVD.[Schedule_Id],
       BSVD.[VariableDeclaration_Id],
       VDEC.[Variable_Name],
       VDEC.[Scope_Code],
       VDEC.[Required_Indicator],
       VDEC.[DefaultValue_Text],
       VDEC.[Variable_Configuration],
       BSVD.[Value_Text],
       [Application_Id] = VDEC.[Scoped_Application_Id]
  FROM [BuildScheduleVariableDefinitions] BSVD
       INNER JOIN [VariableDeclarations] VDEC
               ON BSVD.[VariableDeclaration_Id] = VDEC.[VariableDeclaration_Id]
GO