IF OBJECT_ID('[Credentials_Extended]') IS NOT NULL DROP VIEW [Credentials_Extended]
GO

CREATE VIEW [Credentials_Extended]
AS

	SELECT  
        C.[Credential_Id],
        C.[Environment_Id],
        C.[Credential_Name],
        C.[CredentialType_Name],
		C.[Configuration_Xml],
        C.[AllowFunctionAccess_Indicator],
        E.[Environment_Name],
		A.[Application_Id],
		A.[Application_Name]

	  FROM [Credentials] C

      LEFT JOIN [Environments] E
             ON E.[Environment_Id] = C.[Environment_Id]
	  LEFT JOIN [Applications] A
             ON A.[Application_Id] = C.[Application_Id] 

GO
