IF OBJECT_ID('[BuildExecutions_PipelineStages]') IS NOT NULL DROP VIEW [BuildExecutions_PipelineStages]
GO

CREATE VIEW [BuildExecutions_PipelineStages] AS

	SELECT 
          BP.[PipelineStage_Name],
          [PipelineStage_Execution_Count] = COUNT([Execution_Id])

	  FROM [BuildExecutions] BX
	  JOIN [BuildPromotions] BP ON BX.[Promotion_Id] = BP.[Promotion_Id]
      GROUP BY BP.[PipelineStage_Name]
                     
GO
