EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Variables_GetPackageVariables',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'BuildVariables',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the package variables for a specific release package.'
GO

IF OBJECT_ID('[Variables_GetPackageVariables]') IS NOT NULL DROP PROCEDURE [Variables_GetPackageVariables]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Variables_GetPackageVariables]
(
    @Build_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [BuildVariables]
     WHERE [Build_Id] = @Build_Id

END
GO

GRANT EXECUTE ON [Variables_GetPackageVariables] TO [BuildMasterUser_Role]